Mandrake Linux Security Advisory : w3c-libwww (MDKSA-2005:210)

Medium Nessus Plugin ID 20443


The remote Mandrake Linux host is missing one or more security updates.


Sam Varshavchik discovered the HTBoundary_put_block function in HTBound.c for W3C libwww (w3c-libwww) allows remote servers to cause a denial of service (segmentation fault) via a crafted multipart/byteranges MIME message that triggers an out-of-bounds read.

The updated packages have been patched to address this issue.


Update the affected w3c-libwww, w3c-libwww-apps and / or w3c-libwww-devel packages.

Plugin Details

Severity: Medium

ID: 20443

File Name: mandrake_MDKSA-2005-210.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/01/15

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:w3c-libwww, p-cpe:/a:mandriva:linux:w3c-libwww-apps, p-cpe:/a:mandriva:linux:w3c-libwww-devel, cpe:/o:mandrakesoft:mandrake_linux:10.1, cpe:/o:mandriva:linux:2006, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/11/09

Reference Information

CVE: CVE-2005-3183

MDKSA: 2005:210

CWE: 20